Page MenuHomePhabricator

decommission db1068
Closed, ResolvedPublic

Description

This task will track the decommission-hardware of server db1068

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db1068

Steps for service owner:

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to decom
  • - disable switch port
  • - switch port assignment noted on this task (for later removal) asw2-d-eqiad:ge-1/0/15
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - Label memory as broken so its modules don't get re-used as per T213664: correctable memory errors db1068 (commons primary master database)
  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Marostegui triaged this task as Medium priority.Jun 27 2019, 5:33 AM
Marostegui updated the task description. (Show Details)
Marostegui reassigned this task from Marostegui to RobH.Jun 27 2019, 7:28 AM
Marostegui updated the task description. (Show Details)
Marostegui added a project: DC-Ops.

This host is ready for DCOPs to take over.

Cmjohnson moved this task from Backlog to Decommission on the ops-eqiad board.Jun 27 2019, 4:19 PM
Marostegui updated the task description. (Show Details)Jul 1 2019, 5:25 AM

cookbooks.sre.hosts.decommission executed by robh@cumin1001 for hosts: db1068.eqiad.wmnet

  • db1068.eqiad.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Removed from DebMonitor
RobH updated the task description. (Show Details)Jul 25 2019, 6:36 PM

Change 525622 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] decom db1068

https://gerrit.wikimedia.org/r/525622

Change 525622 merged by RobH:
[operations/dns@master] decom db1068

https://gerrit.wikimedia.org/r/525622

Change 525624 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] decom db1068

https://gerrit.wikimedia.org/r/525624

Change 525624 merged by RobH:
[operations/puppet@production] decom db1068

https://gerrit.wikimedia.org/r/525624

RobH removed RobH as the assignee of this task.Jul 25 2019, 6:44 PM
RobH removed a project: Patch-For-Review.
RobH updated the task description. (Show Details)
Jclark-ctr added a subscriber: Cmjohnson.
Jclark-ctr updated the task description. (Show Details)Nov 1 2019, 10:35 PM
Papaul added a subscriber: Papaul.Nov 5 2019, 9:36 PM
papaul@asw2-d-eqiad# show | compare 
[edit interfaces]
-   ge-1/0/15 {
-       description db1068;
-   }
Papaul updated the task description. (Show Details)Nov 5 2019, 9:36 PM

Change 548907 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db1063,db1064,db1065,db1068,db1070 and db1071

https://gerrit.wikimedia.org/r/548907

Change 548907 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for db1063,db1064,db1065,db1068,db1070 and db1071

https://gerrit.wikimedia.org/r/548907

Papaul closed this task as Resolved.Nov 5 2019, 10:05 PM
Papaul updated the task description. (Show Details)

Complete